<!-- app/templates/base.html -->

<!DOCTYPE html>
<html lang="en">
<head>
    <title>{{ title }}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
</head>
<body>
<div class="container">
    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
        <div class="container-fluid">
            <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <div class="navbar-nav">
                    <a href="{{ url_for('home.homepage') }}" class="nav-item nav-link">Home</a>
                    {% if current_user.is_authenticated %}
                        <a href="{{ url_for('admin.list_customers') }}" class="nav-item nav-link">Customers</a>
                        <a href="{{ url_for('admin.list_orders') }}" class="nav-item nav-link">Orders</a>
                        <a href="{{ url_for('admin.list_items') }}" class="nav-item nav-link">Items</a>
                    {% endif %}
                </div>
                <div class="navbar-nav ms-auto">
                    {% if current_user.is_authenticated %}
                        <a href="{{ url_for('auth.logout') }}" class="nav-item nav-link">Logout</a>
                    {% else %}
                        <a href="{{ url_for('auth.register') }}" class="nav-item nav-link">Register</a>
                        <a href="{{ url_for('auth.login') }}" class="nav-item nav-link">login</a>
                    {% endif %}
                </div>
            </div>
        </div>
    </nav>
    <div class="wrapper">
        {% block body %}
        {% endblock body %}
        <div class="push"></div>
    </div>
</div>
</body>
{% block js %}
{% endblock js %}
</html>